wiki:InstallGuides/DebianEtch

Installing Chaste on Debian Etch

Most things can be installed from Debian packages, but a few bits I've installed manually. This may or may not be necessary. Etch has fairly similar versions of the necessary software as the core Chaste machines, so hopefully there should be fewer incompatibility issues.

See the section for machine 'finarfin' in source:trunk/SConstruct for my path settings.

Debian packages

This list may miss some things, since I did an upgrade from a sarge system, so didn't have to install everything needed from scratch.

aptitude install lapack3-dev atlas3-sse2 mpich-shmem-bin libmpich-shmem1.0-dev scons g++ valgrind subversion sun-java5-jdk sun-java5-bin libxerces27-dev libxerces27 libsvn-java eclipse

Eclipse

eclipse pulls in the gcj version by default as well; you don't need this since we use Sun's Java.

Don't forget to InstallEclipsePlugins and set certain preferences:

  • Go to Window->Preferences->C/C++->Editor->Appearance and select "Insert spaces for tabs".

XSD

The XML tools do have a debian package, but it's not in the standard repositories. However, downloading from http://codesynthesis.com/download/xsd/2.3/linux-gnu/i686/xsd_2.3.1-1_i386.deb and installing with dpkg -i seems to work.

Manually installed

PETSc 2.3.1-p19

Download and unpack somewhere sensible, and change into the petsc-2.3.1-p19 (or whatever) directory.

export PETSC_DIR=$PWD
./config/configure.py --with-x=false -PETSC_ARCH=linux-gnu --with-clanguage=cxx --with-shared=1
make all
./config/configure.py --with-x=false -PETSC_ARCH=linux-gnu-opt --with-clanguage=cxx --with-shared=1  --with-debugging=0
make all

Other 2.3.x versions of PETSc should be similar. Debian etch does have packages for 2.3.2, which will probably work as well; the library/include paths would need to be altered in your SConstruct of course.

Not yet installed or tested

  • Meshalyzer
  • tetgen & tetview
  • Google profile tools
Last modified 10 years ago Last modified on Oct 8, 2010, 12:11:23 PM